# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.91"
name = "mmap-fifo"
version = "0.3.0"
authors = ["NumberFour8"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "FIFO queue backed by memory-mapped files"
readme = "README.md"
license = "GPL-3.0-only"
repository = "https://github.com/NumberFour8/mmap-fifo"

[features]
default = []
postcard = [
    "dep:serde",
    "dep:postcard",
]

[lib]
name = "mmap_fifo"
path = "src/lib.rs"

[[test]]
name = "fifo_tests"
path = "tests/fifo_tests.rs"

[[bench]]
name = "fifo_bench"
path = "benches/fifo_bench.rs"
harness = false

[dependencies.memmap2]
version = "0.9"

[dependencies.postcard]
version = "1.1"
features = ["use-std"]
optional = true

[dependencies.serde]
version = "1.0"
features = ["derive"]
optional = true

[dev-dependencies.criterion]
version = "0.8"

[dev-dependencies.postcard]
version = "1.1"
features = ["use-std"]

[dev-dependencies.rand]
version = "0.10"

[dev-dependencies.serde]
version = "1.0"
features = ["derive"]

[dev-dependencies.tempfile]
version = "3.26"
